Bug 137402 - Exported PDFs are 8 larger than they should be
Exported PDFs are 8 larger than they should be
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 01:12 EDT by Bob T.
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.9.89-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 08:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF produced by 1.1.2 (158.44 KB, application/pdf)
2004-10-28 01:15 EDT, Bob T.
no flags Details
PDF produced by 1.1.1 (19.64 KB, application/pdf)
2004-10-28 01:16 EDT, Bob T.
no flags Details
The .doc file that ooffice 1.1.1/1.1.2 produces different size pdfs for. (72.00 KB, application/msword)
2004-12-17 08:22 EST, Bob T.
no flags Details

  None (edit)
Description Bob T. 2004-10-28 01:12:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Exporting simple documents to PDF produces files that are about 8
times larger than 1.1.1 produces.  Has compression been turned off?  

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-10.fc2

How reproducible:
Always

Steps to Reproduce:
1.Export to PDF
2.
3.
    

Actual Results:  PDF produced is 8 times larger than 1.1.1 produces. 
When converted to Postscript using pdf2ps, the Postscript files are
the same size and the
documents display identically in, for example, xpdf.

Expected Results:  Much smaller PDF document.

Additional info:
Comment 1 Bob T. 2004-10-28 01:15:18 EDT
Created attachment 105883 [details]
PDF produced by 1.1.2
Comment 2 Bob T. 2004-10-28 01:16:17 EDT
Created attachment 105884 [details]
PDF produced by 1.1.1
Comment 3 Andrea Pasquinucci 2004-10-29 03:23:44 EDT
Confirmed. Not only, exported PDF from spreadsheet cannot be displayed
with acroread 5, it gives errors like:

"There was an error processing a page. Too few operands in path."

"An unrecognized token '515.3m' was found."
Comment 4 Caolan McNamara 2004-12-17 07:43:57 EST
caolanm->Bob T: Can you attach the original .sxw document to this issue ? 

When you use the "Export to PDF" there are options for size "screen
optimized (smallest size)", "print optimized" (the default) and "press
optimized". If you choose screen optimized do you get a smaller PDF
equivalent to the 1.1.1 PDF ?
Comment 5 Bob T. 2004-12-17 08:22:17 EST
Created attachment 108788 [details]
The .doc file that ooffice 1.1.1/1.1.2 produces different size pdfs for.

I've had similar results with other documents. Helvetica (a standard font) iis
used in an attempt to minimize the size of the PDFs.
Comment 6 Bob T. 2004-12-17 08:23:22 EST
If you choose screen optimized do you get a smaller PDF
equivalent to the 1.1.1 PDF ?

  No.
Comment 7 Andrea Pasquinucci 2004-12-17 08:42:13 EST
I am now on FedoraCore 3 and the dimension problem persists: look at
this test with oo.1.1.2 and "screen optimized":

-rw-rw-r--   1  42K Dec 17 14:33 test-ps2pdf.pdf
-rw-rw-r--   1 170K Dec 17 14:32 test-oopdf.pdf

the first one has been obtained first printing to a file and then
running ps2pdf, the second directly exporting from OO. To display with
xpdf the files look identical, but acroread _cannot_ display
test-oopdf.pdf with message "Fatal System Error: Raise at top of
Exception Stack".

Note You need to log in before you can comment on or make changes to this bug.